Bug 165245 - Class index is not available until its root is first touched by java indexer
Class index is not available until its root is first touched by java indexer
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Tomas Zezula
issues@java
fix-in-67
:
Depends on:
Blocks: 133943 177274
  Show dependency treegraph
 
Reported: 2009-05-15 09:48 UTC by Vitezslav Stejskal
Modified: 2010-12-22 08:36 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vitezslav Stejskal 2009-05-15 09:48:39 UTC
${subj} hampers IDE usability after the start and during the initial scan. Although the indices exist from previous run
of the ide they can't be used sooner then they are first scanned. This is due to the fact that ClassIndexManager has
createUsagesQuery and getUsagesQuery. The first one is called from the indexer, while the second one is called from eg
goto type and other clients. And until createUsagesQuery is called getUsagesQuery returns no results.
Comment 1 Tomas Zezula 2010-12-13 18:08:56 UTC
Fixed jet-main 4b45cc09b774
Comment 2 Quality Engineering 2010-12-14 06:14:39 UTC
Integrated into 'main-golden', will be available in build *201012140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4b45cc09b774
User: Tomas Zezula <tzezula@netbeans.org>
Log: #165245:Class index is not available until its root is first touched by java indexer


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo